# -*- coding: utf-8 -*-
from setuphelpers import *
import time


def install():
    # Declaring local variables
    package_version = control.get_software_version()
    bin_name = glob.glob("*.exe")[0]

    # Uninstalling older versions of the software
    for to_uninstall in installed_softwares(name=r"\bTux Paint"):
        if Version(to_uninstall["version"]) < Version(package_version) or force:
            print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
            killalltasks(control.impacted_process.split(","))
            run(uninstall_cmd(to_uninstall["key"]))
            wait_uninstallkey_absent(to_uninstall["key"])
            time.sleep(5)

    # Installing the software
    install_exe_if_needed(
        bin_name,
        silentflags="/VERYSILENT",
        key="Tux Paint_is1",
        min_version=package_version,
    )
